#!/bin/sh

# Clone the repository
cd
## Check if the repository exists

if [ -d ~/superset ]; then
  echo "Directory $HOME/superset already exists. Skipping cloning step."
else
  echo "Cloning the Apache Superset repository to $HOME/superset directory."
  git clone --depth=1  https://github.com/apache/superset.git
fi

cd ~/superset

# Add Hive dependencies
touch ./docker/requirements-local.txt
## Check if the pyhive dependency already exists
if grep -q "pyhive" ./docker/requirements-local.txt; then
  echo "Dependency pyhive already exists in docker/requirements-local.txt."
else
  echo "Adding pyhive dependency to docker/requirements-local.txt."
  echo "pyhive" >> ./docker/requirements-local.txt
fi

# Build the non-dev image
echo "Building the non-dev docker-compose image"
docker compose -f docker-compose-non-dev.yml up -d
